Update password
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/users/{userUid}/updatePassword \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/users/{userUid}/updatePassword"
payload = { "password": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/users/{userUid}/updatePassword', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
User
Update password
Can be used by the user to update their own password or by ADMIN to update password of user without joined account
- Password length must be between 8 and 255
- Password must not be same as the username
POST
/
api2
/
v1
/
users
/
{userUid}
/
updatePassword
Update password
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the user whose password to update
Body
application/json
Required string length:
8 - 255Response
No Content
Was this page helpful?
⌘I